clear all
set scheme set1

cap program drop grdisc
program grdisc
syntax varname [if], xline(numlist) *
marksample touse
preserve
keep if `touse'
quietly {
	collapse (mean) stdEx `varlist' amix, by(orgnr year)
	recode amix (8910 = 3) (89 = 2) (910 = 2) (0 = 0)
	collapse (mean) stdE (count) n = org, by(`varlist' amix)
	reshape wide n stdE, i(`varlist') j(amix)
	egen total = rsum(n*)
	mvencode n*, mv(0)
	foreach n in 0 2 3 {
		g r`n' = n`n'/total
	}

	label var r0 "None"
	label var r2 "2"
	label var r3 "3"

	foreach v of var r0 r2 r3 {
		sort `varlist'
		g sr0 = sum(`v' != `v'[_n - 1])
		bys sr0 (`varlist'): replace `v' = . if (_n > 1) & (_n < _N)
		drop sr0
	}
}
twoway (connected r0 r2 r3 `varlist', ///
	lpat(solid shortdash solid ) msym(Oh Th X)), ///
	xscale(log) xlabel(10 `xline' 50 100) legend(off) ytitle("Fraction") ///
	xline(`xline', lp(shortdash ..) lcolor(black ..)) ///
     graphregion(margin(zero)) `options'

cap gr play discall_`varlist'
qui gr export fig/discall_`varlist'.pdf, replace

end


use if ds using pupfile3, clear
drop if stdEx==.
drop if amix==.

local grade 10
g cpup8910 = pup8_`grade' + pup9_`grade' + pup10_`grade'
g cpup89 = pup8_`grade' + pup9_`grade'
g cpup910 = pup9_`grade' + pup10_`grade'

grdisc cpup8910 if cpup8910>=5, xline(18) xtitle("School size (Nr. of pupils in 7th-9th grade)")

