program grdisc2
syntax varlist(min=2 max=2) [if], Disc(int) [Weight addreg NOOUTvar] *
tokenize `varlist'
local outvar `1'
local runvar `2'
marksample touse

quietly {

	preserve
	collapse `outvar' `runvar' (count) N=`runvar' if `touse', by(org year)

	if ("`weight'"=="") replace N = 1

	lpoly `outvar' `runvar' [fw=N] if `runvar'<=`disc', ci gen(y0) at(`runvar') se(s0) nograph deg(1)
	lpoly `outvar' `runvar' [fw=N] if `runvar'>`disc', ci gen(y1) at(`runvar') se(s1) nograph deg(1)

	replace y0 = . if `runvar'>`disc'
	replace y1 = . if `runvar'<=`disc'

	g l0low = y0 - 1.96*s0
	g l0up  = y0 + 1.96*s0

	g l1low = y1 - 1.96*s1
	g l1up  = y1 + 1.96*s1

	if ("`addreg'"!="") {
		tempvar p0 p1
		reg  `outvar' `runvar' if  `runvar'<=`disc'
		predict `p0' if e(sample)

		reg  `outvar' `runvar' if  `runvar'>`disc'
		predict `p1' if e(sample)
	}

	tempvar m
	sort `runvar'
	by `runvar' : g `m' = sum(`outvar')
	by `runvar' : replace `m' = `m' / _N
	by `runvar' : replace `m' = . if _n<_N

	if ("`nooutvar'"!="") local outvar

	twoway (rarea l0* `runvar', sort fcolor(gs13) lcolor(white)) ///
	       (rarea l1* `runvar', sort fcolor(gs13) lcolor(white)) ///
		   (scatter `outvar' `m' `runvar' [fw=N], msymbol(x smcircle) mc(blue black)) ///
		   (line `p0' `p1' y0 y1 `runvar', sort lc(black black red red..) lw(medthick ..) lp(shortdash shortdash solid solid  ..)) ///
		    , legend(off) `options'

}
end

