clear all
set scheme set1

use pupfile3, clear
keep if ds & stdEx<.
sort orgnr year
by orgnr year: keep if _n==1

forv grade=8/10 {
	preserve

	g cpup8910 = pup8_`grade' + pup9_`grade' + pup10_`grade'
	label var cpup8910 "School size"
	g cpup89 = pup8_`grade' + pup9_`grade'
	label var cpup89 "Nr of pupils in 7th + 8th grade"
	g cpup910 = pup9_`grade' + pup10_`grade'
	label var cpup910 "Nr of pupils in 8th + 9th grade"
	keep if ds

	collapse (count) N = org if cpup8910>18, by(cpup89 cpup910 mix`grade')

	g mix3 = cpup910 if mix`grade'==3
	g mix2 = cpup910 if (mix`grade'!=0 & mix`grade'!=3)
	g mix0 = cpup910 if mix`grade'==0

	label var mix0 "Single grade"
	label var mix2 "2 Grades"

	g x = cpup89 if cpup89<=24.5 & cpup89>=9

	twoway    ///
		(scatter mix0 mix2 mix3 cpup89 [fw=N] if cpup89<41 & cpup910<41, msymbol(Oh Th X) ) ///
			   , ///
		xline(24, lcolor(black) lpat(shortdash)) yline(24, lcolor(black) lpat(shortdash))  ///
		yscale(r(9.5 40.5)) xscale(r(9.5 40.5)) xlabel(10 24 40) ylabel(10 24 40) ///
		ytitle("Nr of pupils in 8th + 9th grade") ///
		xtitle("Nr of pupils in 7th + 8th grade") ///
		legend(on order(1 "No grade mixing" 2 "2 Grades" 3 "3 Grades") col(1) pos(6) ring(1) region(color(none))) ///
		plotregion(margin(zero)) aspectratio(1)

	gr export fig/discont2_full_`grade'.pdf, replace

	restore
}
