clear all
set scheme set1

u pupfile3, clear
keep if ds & stdEx<.
by org year: keep if _n==1

forv g=8/10 {
	cap g pup8910_`g' = pup8_`g' + pup9_`g' + pup10_`g'
	cap g pup89_`g' = pup8_`g' + pup9_`g'
	cap g pup910_`g' = pup9_`g' + pup10_`g'
}


// TABLE
local a1 2002 pup8910_8 18.5
local a2 2002 pup89_8 24.5
local a3 2002 pup910_8 24.5
local a4 2003 pup8910_8 18.5
local a5 2003 pup89_8 24.5
local a6 2003 pup910_8 24.5
local a7 2003 pup8910_9 18.5
local a8 2003 pup89_9 24.5
local a9 2003 pup910_9 24.5
local a10 2003 pup8910_10 18.5
local a11 2003 pup89_10 24.5
local a12 2003 pup910_10 24.5

qui forv i=1/12 {
	tokenize `a`i''
	preserve
	keep if year==`1' & `2'<=40
	DCdensity `2' , breakpoint(`3') b(1) generate(Xj Yj r0 fhat se_fhat) nograph
	noi di "`1'" _col(10) "`2'" _col(20) %9.3f r(theta) %9.3f r(se) %9.3f r(theta) / r(se)
	restore
}

// GRAPHS
cap program drop grdcdens
program grdcdens
syntax varname, break(real) *
preserve

quietly {
	DCdensity `varlist' , breakpoint(`break') b(1) generate(Xj Yj r0 fhat se_fhat)  nograph
	local note = "Note: Discontinuity estimate (log difference in height): " ///
		+ trim(string(`=r(theta)', "%5.2f")) ///
		+ " (" + trim(string(`=r(se)', "%5.2f")) + ")"

	gen hi = fhat + 1.96*se_fhat
	gen lo = fhat - 1.96*se_fhat
	replace Xj = . if Yj==0
	replace Yj = . if Yj==0
}

twoway ///
	(rarea lo hi r0 if r0<`break', fcolor(gs13) lcolor(gs13)) ///
	(rarea lo hi r0 if r0>`break', fcolor(gs13) lcolor(gs13)) ///
	(scatter Yj Xj, msymbol(smsquare_hollow) mcol(black)) ///
	(line fhat r0 if r0<`break', lpat(solid) lcol(red)) ///
	(line fhat r0 if r0>`break', lpat(solid) lcol(red)) ///
	, legend(off) ytitle("Density") ///
	note("`note'", ring(0) pos(1)) `options'

gr export fig/dcdens`varlist'.pdf, replace

end



grdcdens pup8910_8, break(18.5) xtitle("Nr. of 7th-9th graders at start of Jr. High School")
grdcdens pup89_8, break(24.5) xtitle("Nr. of 7th & 8th graders at start of Jr. High School")
grdcdens pup910_8, break(24.5) xtitle("Nr. of 8th & 9th graders at start of Jr. High School")

